Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(19)

Issue 8341033: Remove DemuxerStream::GetAVStream() once and for all. (Closed)

Created:
9 years, 2 months ago by scherkus (not reviewing)
Modified:
9 years, 1 month ago
CC:
chromium-reviews, hclam+watch_chromium.org, ddorwin+watch_chromium.org, fischman+watch_chromium.org, PaweĊ‚ Hajdan Jr., acolwell+watch_chromium.org, annacc+watch_chromium.org, ajwong+watch_chromium.org, vrk (LEFT CHROMIUM), scherkus (not reviewing), ihf+watch_chromium.org
Visibility:
Public.

Description

Remove DemuxerStream::GetAVStream() once and for all. We now use AudioDecoderConfig and VideoDecoderConfig to pass decoder initialization information. Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=107494

Patch Set 1 #

Patch Set 2 : fix #

Total comments: 15

Patch Set 3 : fixes #

Patch Set 4 : now with cmath #

Unified diffs Side-by-side diffs Delta from patch set Stats (+251 lines, -167 lines) Patch
M media/base/demuxer_stream.h View 2 chunks +5 lines, -3 lines 0 comments Download
M media/base/demuxer_stream.cc View 1 chunk +0 lines, -4 lines 0 comments Download
M media/base/mock_filters.h View 2 chunks +2 lines, -1 line 0 comments Download
M media/base/video_decoder_config.h View 1 2 4 chunks +21 lines, -1 line 0 comments Download
M media/base/video_decoder_config.cc View 1 2 3 8 chunks +42 lines, -1 line 0 comments Download
M media/ffmpeg/ffmpeg_common.h View 1 2 2 chunks +9 lines, -8 lines 0 comments Download
M media/ffmpeg/ffmpeg_common.cc View 1 2 3 chunks +91 lines, -55 lines 0 comments Download
M media/filters/chunk_demuxer.cc View 1 2 4 chunks +11 lines, -5 lines 0 comments Download
M media/filters/dummy_demuxer.h View 3 chunks +3 lines, -0 lines 0 comments Download
M media/filters/dummy_demuxer.cc View 1 chunk +5 lines, -0 lines 0 comments Download
M media/filters/ffmpeg_demuxer.h View 3 chunks +3 lines, -1 line 0 comments Download
M media/filters/ffmpeg_demuxer.cc View 1 2 3 chunks +7 lines, -6 lines 0 comments Download
M media/filters/ffmpeg_demuxer_unittest.cc View 1 chunk +24 lines, -11 lines 0 comments Download
M media/filters/ffmpeg_video_decoder.cc View 1 2 2 chunks +3 lines, -22 lines 0 comments Download
M media/filters/ffmpeg_video_decoder_unittest.cc View 5 chunks +15 lines, -30 lines 0 comments Download
M media/video/ffmpeg_video_decode_engine.cc View 2 chunks +4 lines, -18 lines 0 comments Download
M media/video/ffmpeg_video_decode_engine_unittest.cc View 4 chunks +6 lines, -1 line 0 comments Download

Messages

Total messages: 8 (0 generated)
scherkus (not reviewing)
acolwell / vrk: PTAL http://codereview.chromium.org/8341033/diff/2001/media/ffmpeg/ffmpeg_common.h File media/ffmpeg/ffmpeg_common.h (right): http://codereview.chromium.org/8341033/diff/2001/media/ffmpeg/ffmpeg_common.h#newcode77 media/ffmpeg/ffmpeg_common.h:77: void AVCodecContextToVideoDecoderConfig( I wonder whether ...
9 years, 2 months ago (2011-10-25 22:42:15 UTC) #1
acolwell GONE FROM CHROMIUM
LGTM http://codereview.chromium.org/8341033/diff/2001/media/ffmpeg/ffmpeg_common.h File media/ffmpeg/ffmpeg_common.h (right): http://codereview.chromium.org/8341033/diff/2001/media/ffmpeg/ffmpeg_common.h#newcode77 media/ffmpeg/ffmpeg_common.h:77: void AVCodecContextToVideoDecoderConfig( On 2011/10/25 22:42:15, scherkus wrote: > ...
9 years, 1 month ago (2011-10-26 17:09:13 UTC) #2
vrk (LEFT CHROMIUM)
nice! LGTM and i agree with/have nothing to add to acolwell's suggestions/answers! http://codereview.chromium.org/8341033/diff/2001/media/ffmpeg/ffmpeg_common.cc File media/ffmpeg/ffmpeg_common.cc ...
9 years, 1 month ago (2011-10-26 18:07:11 UTC) #3
scherkus (not reviewing)
thanks for the review! might want to do a quick sanity check over some of ...
9 years, 1 month ago (2011-10-26 19:08:00 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/scherkus@chromium.org/8341033/3002
9 years, 1 month ago (2011-10-26 22:22:29 UTC) #5
commit-bot: I haz the power
Try job failure for 8341033-3002 (retry) on linux_rel for step "compile" (clobber build). It's a ...
9 years, 1 month ago (2011-10-26 22:46:31 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/scherkus@chromium.org/8341033/10001
9 years, 1 month ago (2011-10-26 22:53:57 UTC) #7
commit-bot: I haz the power
9 years, 1 month ago (2011-10-27 00:43:21 UTC) #8
Change committed as 107494

Powered by Google App Engine
This is Rietveld 408576698